#/**
#         ogr NewMbrXP int_ndisk
#@brief   Genera un nuevo Master Boot Record en el disco duro indicado, compatible con los SO tipo Windows
#@param   int_ndisk      nº de orden del disco
#@return  salida del programa my-sys
#@exception OG_ERR_FORMAT    Formato incorrecto.
#@exception OG_ERR_PARTITION Tipo de partición desconocido o no se puede montar.
#@version 0.9 - Adaptación a OpenGNSys.
#@author  Antonio J. Doblas Viso. Universidad de Málaga
#@date    2009-09-24
#*/ ##

# Variables locales.
local PART

# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME" "$FUNCNAME int_ndisk " \
           "$FUNCNAME 1 "
    return
fi
# Error si no se reciben 1 parámetros.
[ $# == 1 ] || ogr RaiseError $OG_ERR_FORMAT || return $?

PART="$(ogr DiskToDev $1)" || return $?
ms-sys -z -f $PART
ms-sys -m -f $PART
